Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(150)

Issue 10830046: Implement ChannelMultiplexer. (Closed)

Created:
7 years, 10 months ago by Sergey Ulanov
Modified:
7 years, 10 months ago
Reviewers:
Wez
CC:
chromium-reviews, jamiewalch+watch_chromium.org, dcaiafa+watch_chromium.org, simonmorris+watch_chromium.org, hclam+watch_chromium.org, wez+watch_chromium.org, amit, sanjeevr, garykac+watch_chromium.org, lambroslambrou+watch_chromium.org, alexeypa+watch_chromium.org, sergeyu+watch_chromium.org
Visibility:
Public.

Description

Implement ChannelMultiplexer. ChannelMultiplexer allows multiple logical channels to share a single underlying transport channel. BUG=137135 Committed: http://src.chromium.org/viewvc/chrome?view=rev&revision=150484

Patch Set 1 #

Patch Set 2 : #

Total comments: 61

Patch Set 3 : #

Total comments: 8

Patch Set 4 : #

Unified diffs Side-by-side diffs Delta from patch set Stats (+1001 lines, -32 lines) Patch
M remoting/host/server_log_entry.cc View 1 chunk +1 line, -0 lines 0 comments Download
M remoting/proto/chromotocol.gyp View 1 chunk +1 line, -0 lines 0 comments Download
A remoting/proto/mux.proto View 1 2 1 chunk +27 lines, -0 lines 0 comments Download
M remoting/protocol/buffered_socket_writer.cc View 1 2 1 chunk +3 lines, -1 line 0 comments Download
A remoting/protocol/channel_factory.h View 1 2 1 chunk +59 lines, -0 lines 0 comments Download
A remoting/protocol/channel_multiplexer.h View 1 2 1 chunk +88 lines, -0 lines 0 comments Download
A remoting/protocol/channel_multiplexer.cc View 1 2 3 1 chunk +513 lines, -0 lines 0 comments Download
A remoting/protocol/channel_multiplexer_unittest.cc View 1 2 3 1 chunk +301 lines, -0 lines 0 comments Download
M remoting/protocol/connection_tester.h View 1 chunk +1 line, -0 lines 0 comments Download
M remoting/protocol/session.h View 1 2 4 chunks +2 lines, -29 lines 0 comments Download
M remoting/remoting.gyp View 1 2 3 chunks +5 lines, -2 lines 0 comments Download

Messages

Total messages: 11 (0 generated)
Sergey Ulanov
7 years, 10 months ago (2012-07-27 02:12:01 UTC) #1
Wez
Can you update the description to be clearer, please? e.g. "ChannelMultiplexer allows multiple logical channels ...
7 years, 10 months ago (2012-08-03 21:28:27 UTC) #2
Sergey Ulanov
On 2012/08/03 21:28:27, Wez wrote: > Can you update the description to be clearer, please? ...
7 years, 10 months ago (2012-08-05 03:07:24 UTC) #3
Wez
http://codereview.chromium.org/10830046/diff/3001/remoting/proto/mux.proto File remoting/proto/mux.proto (right): http://codereview.chromium.org/10830046/diff/3001/remoting/proto/mux.proto#newcode13 remoting/proto/mux.proto:13: message MuxPacket { nit: MultiplexPacket http://codereview.chromium.org/10830046/diff/3001/remoting/proto/mux.proto#newcode21 remoting/proto/mux.proto:21: // of ...
7 years, 10 months ago (2012-08-06 23:14:07 UTC) #4
Sergey Ulanov
http://codereview.chromium.org/10830046/diff/3001/remoting/proto/mux.proto File remoting/proto/mux.proto (right): http://codereview.chromium.org/10830046/diff/3001/remoting/proto/mux.proto#newcode13 remoting/proto/mux.proto:13: message MuxPacket { On 2012/08/06 23:14:07, Wez wrote: > ...
7 years, 10 months ago (2012-08-07 20:12:22 UTC) #5
Sergey Ulanov
http://codereview.chromium.org/10830046/diff/3001/remoting/proto/mux.proto File remoting/proto/mux.proto (right): http://codereview.chromium.org/10830046/diff/3001/remoting/proto/mux.proto#newcode30 remoting/proto/mux.proto:30: optional bytes data = 3; On 2012/08/07 20:12:22, sergeyu ...
7 years, 10 months ago (2012-08-07 20:13:58 UTC) #6
Wez
LGTM w/ nits. http://codereview.chromium.org/10830046/diff/3001/remoting/protocol/channel_multiplexer.cc File remoting/protocol/channel_multiplexer.cc (right): http://codereview.chromium.org/10830046/diff/3001/remoting/protocol/channel_multiplexer.cc#newcode285 remoting/protocol/channel_multiplexer.cc:285: ChannelMultiplexer::MuxSocket::~MuxSocket() { On 2012/08/07 20:12:22, sergeyu ...
7 years, 10 months ago (2012-08-07 21:44:43 UTC) #7
Sergey Ulanov
http://codereview.chromium.org/10830046/diff/3001/remoting/protocol/channel_multiplexer.h File remoting/protocol/channel_multiplexer.h (right): http://codereview.chromium.org/10830046/diff/3001/remoting/protocol/channel_multiplexer.h#newcode57 remoting/protocol/channel_multiplexer.h:57: std::map<int, MuxChannel*> channels_by_remote_id_; On 2012/08/07 21:44:44, Wez wrote: > ...
7 years, 10 months ago (2012-08-07 22:25:14 UTC) #8
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/sergeyu@chromium.org/10830046/1013
7 years, 10 months ago (2012-08-07 22:25:32 UTC) #9
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/sergeyu@chromium.org/10830046/12002
7 years, 10 months ago (2012-08-08 01:04:24 UTC) #10
commit-bot: I haz the power
7 years, 10 months ago (2012-08-08 02:03:12 UTC) #11
Change committed as 150484

Powered by Google App Engine
This is Rietveld 408576698